> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Inscribe

> Upload Inscribe JSON for a specified end user to translate into Heron Data format and add transactions for the end user




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/inscribe
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/inscribe:
    post:
      tags:
        - EndUserIntegrations
      summary: Upload Inscribe
      description: >
        Upload Inscribe JSON for a specified end user to translate into Heron
        Data format and add transactions for the end user
      parameters:
        - description: The `end_user_id` or `heron_id` of EndUser to upload
          in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InscribeSchema'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  _summary:
                    properties:
                      request_id:
                        description: Unique UUID per request
                        type: string
                    type: object
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    InscribeSchema:
      properties:
        customer_name:
          default: null
          nullable: true
          type: string
        parsed_details:
          $ref: '#/components/schemas/InscribeParsedDetails'
      type: object
    InscribeParsedDetails:
      properties:
        bank_accounts:
          items:
            $ref: '#/components/schemas/InscribeAccount'
          type: array
        name:
          $ref: '#/components/schemas/InscribeParsedDetailsName'
      type: object
    InscribeAccount:
      properties:
        account_type:
          nullable: true
          type: string
        beginning_balance:
          allOf:
            - $ref: '#/components/schemas/InscribeNumberPrediction'
          nullable: true
        ending_balance:
          allOf:
            - $ref: '#/components/schemas/InscribeNumberPrediction'
          nullable: true
        institution_name:
          nullable: true
          type: string
        number:
          $ref: '#/components/schemas/InscribeStringPrediction'
        transactions:
          items:
            $ref: '#/components/schemas/InscribeTransaction'
          type: array
        transactions_match_balances:
          nullable: true
          type: boolean
      type: object
    InscribeParsedDetailsName:
      properties:
        raw:
          type: string
      type: object
    InscribeNumberPrediction:
      properties:
        confidence:
          type: number
        normalized:
          type: integer
        raw:
          type: string
      type: object
    InscribeStringPrediction:
      properties:
        confidence:
          type: number
        normalized:
          type: string
        raw:
          type: string
      type: object
    InscribeTransaction:
      properties:
        amount:
          type: integer
        date:
          format: date
          type: string
        description:
          type: string
        id:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````